extends ../index.pug

block title
  | #{ templatedTitle('Facebook page - {name}', { name: page.name }) }

block content
  form(action="/sources/new", method="POST")
    input(type="hidden", value=page.link, name="url")
    input(type="hidden", value=page.name, name="name")
    input(type="hidden", value="FB_SOURCE", name="sourceType")
    input(type="hidden", value=page.picture.data.url || null, name="image")
    button(type="submit") Save
  .bg-slate-200.dark_bg-slate-700.dark_text-white.p-2
    a(href=page.link, target="_blank")
      if page.picture
        img.w-36.h-36.rounded-full.mx-auto.object-cover(
          src=page.picture.data.url,
          alt=""
        )
      h1.text-4xl.font-bold.text-center= page.name
    if page.about
      .prose.lg_prose-xl.dark_prose-invert !{ page.about }
    ul
      each event in page.events.data
        li.my-2.p-2.bg-white.dark_bg-slate-800.flex.items-start.gap-2
          if event.cover
            img.w-48.h-auto(src=event.cover.source, alt="")
          div
            a(
              href=`https://www.facebook.com/events/${event.id}`,
              target="_blank"
            )
              h2.text-3xl.font-bold= event.name
              p
                if sameDay(event.start_time, event.end_time)
                  span
                  | Le
                  span= dayFormat(event.start_time, locale)
                  |
                  | de
                  span= timeFormat(event.start_time, locale)
                  |
                  | à
                  span= timeFormat(event.end_time, locale)
                else
                  time= dateFormat(event.start_time, locale)
                  span 
                  | au
                  time= dateFormat(event.end_time, locale)
            if event.place
              p
                address
                  | #{ event.place.name }
                  br
                  if event.place.location
                    | #{ event.place.location.street }
                    br
                    | #{ event.place.location.zip } #{ event.place.location.city }
            article.prose.lg_prose-xl.dark_prose-invert !{ clip(event.description, 200) }
